-- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-- Written by Kimberly L. Tripp - all rights reserved.
-- 
-- For more scripts and sample code, check out 
-- 	http://www.SQLSkills.com
-- For "More than Just Training," see the Industry Experts at 
-- 	http://www.SolidQualityLearning.com
--
-- Disclaimer - Thoroughly test this script, execute at your own risk.
-- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

-- For more info check out BOL under
--     COLLATE
--      "Specifying Collations"

-- To see the list of collations
SELECT * FROM ::fn_helpcollations()

-- To see the server's setting
sp_helpsort

-- To see the database's setting
sp_helpdb dbname

-- To see the table's setting (for each column)
sp_help tname

-- The query to convert to a case-sensitive collation
SELECT au_lname COLLATE Latin1_General_CS_AS_KS_WS 
                    AS LastName 
FROM authors

-- Now a view...
CREATE VIEW AuthorsLastNameCaseSensitive
AS 
SELECT au_lname COLLATE Latin1_General_CS_AS_KS_WS 
                    AS LastName 
FROM authors
go

-- Select from the View
SELECT * FROM AuthorsLastNameCaseSensitive 
    WHERE LastName= 'ringer'    -- 0 Rows

SELECT * FROM AuthorsLastNameCaseSensitive 
    WHERE LastName= 'Ringer'    -- 2 Rows!!!

-- Or the query expression in the WHERE clause...
SELECT au_lname AS LastName 
FROM authors
WHERE au_lname 
	COLLATE Latin1_General_CS_AS_KS_WS = 'ringer'
